#!/usr/bin/env python
# coding: utf-8

# In[151]:


import requests
from bs4 import BeautifulSoup


# In[152]:


url = "http://www.cgv.co.kr/common/showtimes/iframeTheater.aspx?areacode=01&theatercode=0059&date=20200315"
response = requests.get(url)
html = response.text
soup = BeautifulSoup(html)


# In[153]:


soup = BeautifulSoup(html,'html.parser')


# In[154]:


# soup


# In[155]:


# soup.select('body > div > div.sect-showtimes > ul > li:nth-child(1) > div > div.info-movie > a > strong')


# In[156]:


# soup.select('body > div > div.sect-showtimes > ul > li')


# In[157]:


movies = soup.select('body > div > div.sect-showtimes > ul > li')


# In[158]:


# for movie in movies:
#     title = movie.select_one('div > div.info-movie > a > strong').get_text().strip()
#     print(title)


# In[159]:


def get_timetable(movie):
    tuples = []
    timetables = movie.select('div > div.type-hall > div.info-timetable > ul > li')
    for timetable in timetables:
        time = timetable.select_one('a > em').get_text()
        seat = timetable.select_one('a > span').get_text()
        tuple = (time, seat)
        tuples.append(tuple)
    return tuples


# In[160]:


for movie in movies:
    title = movie.select_one('div > div.info-movie > a > strong').get_text().strip()
    timetable = get_timetable(movie)
    print(title, timetable, '\n')


# In[ ]:




